dubbo:
  application:
    name: content-service
    qos-enable: true
    qos-port: 16105
    qos-accept-foreign-ip: false
  scan:
    base-packages: cn.reghao.tnb.content.app.vod.rpc,cn.reghao.tnb.content.app.mall.rpc
  protocol:
    name: dubbo
    port: 6105
server:
  port: 6005
  tomcat:
    max-http-form-post-size: 4MB
spring:
  application:
    name: content-service
  profiles:
    active: @profile.active@
  datasource:
    driver-class-name: org.apache.shardingsphere.driver.ShardingSphereDriver
    url: jdbc:shardingsphere:classpath:sharding-${spring.profiles.active}.yml
  cloud:
    inetutils:
      ignored-interfaces:
        - docker0
        - veth.*
      preferred-networks:
        - 192.168
    loadbalancer:
      cache:
        enabled: true
mybatis:
  configuration:
    map-underscore-to-camel-case: true
  mapper-locations: classpath*:mapper/**.xml
  type-aliases-package: cn.reghao.tnb.content.app.model.po
eureka:
  instance:
    prefer-ip-address: true
  client:
    register-with-eureka: true
    fetch-registry: true
feign:
  circuitbreaker:
    enabled: true
  httpclient:
    hc5:
      enabled: true
      connection-request-timeout-unit: seconds
      connection-request-timeout: 1
management:
  endpoints:
    web:
      base-path: /api/content/actuator
      exposure:
        include: "*"
  metrics:
    tags:
      application: ${spring.application.name}